const loggedInUserId = '%@';
const regExLinkLegacy = new RegExp(`https://(?:beta|bowtie)\.mailbutler\.io/tracking/hit/${loggedInUserId}/.*`, 'i');
const regExLink = new RegExp(
  `https://(?:${loggedInUserId}\.)?mailbutler\.link/(?:${loggedInUserId}|b/${loggedInUserId}|p/${loggedInUserId}|b2|p2)/.*`,
  'i'
);

const anchorElements = document.getElementsByTagName('a');
for (let i = 0; i < anchorElements.length; i++) {
  const { href } = anchorElements[i];
  if (regExLink.test(href) || regExLinkLegacy.test(href)) {
    const url = new URL(href);
    if (url.searchParams.getAll('notrack').length === 0) {
      url.searchParams.append('notrack', true);
      anchorElements[i].setAttribute('href', url.toString());
    }
  }
}
