"use strict";

function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e9) { throw _e9; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e10) { didErr = true; err = _e10; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
(function () {
  "use strict";

  console.log("Successfully injected Mailbutler Compose Bridge! 🧪");
  var e = function e() {
      l(), o(), r();
    },
    t = "mb-template-contact-field";
  var n = null;
  window.mailbutler_copyHtmlStringFromRange = function (e, t, n, o, r, i, l, c) {
    var a = function a(e) {
      !c || e instanceof HTMLImageElement && e.src.startsWith("http") && d(e) || c(e);
    };
    return _copyHtmlStringFromRange(e, t, n, o, r, i, l, a);
  };
  var o = function o() {
      var e, t;
      if (!(null === (t = null === (e = window.BodyFieldMac) || void 0 === e ? void 0 : e.prototype) || void 0 === t ? void 0 : t.copyContents)) return;
      var n = c("_copyHtmlStringFromRange", "mailbutler_copyHtmlStringFromRange", window.BodyFieldMac.prototype.copyContents);
      window.BodyFieldMac.prototype.copyContents = n;
    },
    r = function r() {
      Element.prototype.isRichTextElement && !Element.prototype.mailbutler_isRichTextElement && (Element.prototype.mailbutler_isRichTextElement = Element.prototype.isRichTextElement, Element.prototype.isRichTextElement = function () {
        var e;
        return !("img" !== this.nodeName.toLowerCase() || "MailbutlerTrackingPixel" !== this.id && !d(this)) || !!(null === (e = this.mailbutler_isRichTextElement) || void 0 === e ? void 0 : e.call(this));
      });
    },
    i = function i(e, t) {
      var n = e.getBoundingClientRect(),
        o = {
          x: n.x,
          y: n.y,
          width: n.width,
          height: n.height
        },
        r = {
          action: t ? "didHoverOutTemplate" : "didHoverOverTemplate",
          payload: JSON.stringify({
            liquid: e.textContent,
            frame: o
          })
        };
      window.MBComposeBridge ? window.MBComposeBridge.webScriptPostMessage_(r) : window.webkit.messageHandlers.composeBridge.postMessage(r);
    },
    l = function l() {
      var e = new MutationObserver(function (e) {
        e[0].removedNodes && e[0].removedNodes.forEach(function (e) {
          e instanceof HTMLElement && e.classList && e.classList.contains(t) && i(e, !0);
        });
      });
      e.observe(document.documentElement, {
        childList: !0,
        subtree: !0
      }), document.body.onmouseover = function (e) {
        e.target && e.target instanceof HTMLElement && e.target.classList.contains(t) && i(e.target, !1);
      }, document.body.onmouseout = function (e) {
        e.target && e.target instanceof HTMLElement && e.target.classList.contains(t) && i(e.target, !0);
      };
    };
  window.composeBridge || (window.composeBridge = {
    postMessage(e, t) {
      if (!window.composeBridge.actions[e]) return void console.warn("Missing implementation for method '".concat(e, "' in composeBridge!"));
      var n = decodeURIComponent(escape(window.atob(t))),
        o = JSON.parse(n);
      return window.composeBridge.actions[e](o);
    },
    actions: {
      resetTrackingPixel: function resetTrackingPixel(e) {
        var t = e.trackingPixelRegex,
          n = new RegExp(t);
        document.querySelectorAll("img").forEach(function (e) {
          n.test(e.src) && e.remove();
        }), document.querySelectorAll("link").forEach(function (e) {
          n.test(e.href) && e.remove();
        });
        var o = document.createNodeIterator(document.body, NodeFilter.SHOW_COMMENT);
        while (o.nextNode()) {
          var _e = o.referenceNode,
            _t = _e.textContent;
          _e instanceof HTMLElement && (null === _t || void 0 === _t ? void 0 : _t.startsWith("How does Mailbutler’s Email Tracking Work?")) && _e.remove();
        }
      },
      resetTrackingLinks: function resetTrackingLinks(e) {
        var t = e.trackingLinkRegex,
          n = e.trackedLinks,
          o = e.originalLinks;
        if (n.length !== o.length) throw new Error("Number of tracked and original link URLs does not match.");
        var r = a(t);
        var _loop = function _loop(_i) {
          var e = n[_i],
            t = o[_i],
            l = r.find(function (t) {
              return t.href === e;
            });
          if (!l) return {
            v: void console.error("Anchor element for tracked link ".concat(e, " not found, skipping"))
          };
          l.href = t;
        };
        for (var _i = 0; _i < n.length; _i++) {
          var _ret = _loop(_i);
          if (typeof _ret === "object") return _ret.v;
        }
      },
      addTrackingPixel: function addTrackingPixel(e) {
        var t = e.trackingPixelURL,
          n = e.trackingStylesheetURL,
          o = e.disclaimer,
          r = document.createElement("img"),
          i = document.createElement("link");
        if (r.setAttribute("src", t), r.setAttribute("align", "left"), r.setAttribute("width", "0"), r.setAttribute("height", "0"), r.setAttribute("style", "width:0;height:0;border:0;"), r.setAttribute("title", ""), r.setAttribute("alt", ""), r.setAttribute("id", "MailbutlerTrackingPixel"), r.setAttribute("class", "lp-rich-link"), i.setAttribute("href", n), i.setAttribute("rel", "stylesheet"), document.body.appendChild(r), document.body.appendChild(i), document.body.outerHTML.length < 4e3) {
          var _e2 = document.createComment(o);
          document.body.appendChild(_e2);
        }
      },
      addTrackingLinks: function addTrackingLinks(e) {
        var t = e.trackedLinks,
          n = e.originalLinks,
          o = a(null);
        if (t.length !== n.length) throw new Error("Number of tracked and original link URLs does not match.");
        var _loop2 = function _loop2(_r) {
          var e = t[_r],
            i = n[_r],
            l = o.find(function (e) {
              return e.href === i;
            });
          if (!l) throw new Error("Anchor element for tracking link ".concat(i, " not found, skipping"));
          l.href = e;
        };
        for (var _r = 0; _r < t.length; _r++) {
          _loop2(_r);
        }
      },
      getTrackingLinks: function getTrackingLinks(e) {
        var t = e.trackingLinkRegex,
          n = a(t);
        return JSON.stringify(n.map(function (e) {
          return e.href;
        }));
      },
      getTrackableLinks: function getTrackableLinks() {
        var e = a(null);
        return JSON.stringify(e.map(function (e) {
          return e.href;
        }));
      },
      selectLink: function selectLink(e) {
        var t, n;
        var o = e.url,
          r = document.querySelectorAll("a");
        for (var _i2 = 0; _i2 < r.length; _i2++) {
          var _e3 = r[_i2];
          if (!s(_e3) && _e3.href === o) {
            var _o = document.createRange();
            _o.selectNode(_e3), null === (t = document.getSelection()) || void 0 === t || t.removeAllRanges(), null === (n = document.getSelection()) || void 0 === n || n.addRange(_o);
            break;
          }
        }
      },
      insertTemplate: function insertTemplate(e) {
        var t, o;
        var r = e.prepend,
          i = e.templateHTML;
        if (r) {
          var _e4 = document.createRange(),
            _t2 = _e4.createContextualFragment(i);
          document.body.prepend(_t2);
        } else n && (null === (t = window.getSelection()) || void 0 === t || t.removeAllRanges(), null === (o = window.getSelection()) || void 0 === o || o.addRange(n)), document.execCommand("insertHTML", !0, i);
      },
      saveSelectionForTemplateInsertion: function saveSelectionForTemplateInsertion() {
        var e = window.getSelection();
        (null === e || void 0 === e ? void 0 : e.rangeCount) && (n = e.getRangeAt(0));
      },
      getBodyHTML: function getBodyHTML(e) {
        var t = e.innerOnly;
        return t ? document.body.innerHTML : document.body.outerHTML;
      },
      setBodyHTML: function setBodyHTML(e) {
        var t, n, o;
        var r = e.innerOnly,
          i = e.html,
          l = Array.from(document.body.querySelectorAll("attachment")).map(function (e) {
            return e.uniqueIdentifier;
          }),
          c = [];
        if (null === (t = window.HTMLAttachmentElement) || void 0 === t ? void 0 : t.getAttachmentIdentifier) {
          var _e5 = Array.from(document.querySelectorAll("img:has-attachment")),
            _t3 = document.querySelectorAll("img");
          for (var _n = 0; _n < _t3.length; _n++) {
            var _o2 = _t3[_n];
            if (!_e5.includes(_o2)) {
              c.push(null);
              continue;
            }
            var _r2 = window.HTMLAttachmentElement.getAttachmentIdentifier(_o2);
            if (!_r2) throw new Error("Image attachment is missing an attachment identifier.");
            c.push(_r2);
          }
        }
        r ? document.body.innerHTML = i : document.body.outerHTML = i;
        var a = {},
          s = Array.from(document.body.querySelectorAll("attachment")).map(function (e) {
            return e.uniqueIdentifier;
          });
        if (l.length !== s.length) throw new Error("Number of attachments has changed after replacing body HTML. This is not currently supported.");
        for (var _d = 0; _d < s.length; _d++) {
          var _e6 = l[_d],
            _t4 = s[_d];
          a[_e6] = _t4;
        }
        if (c.length > 0) {
          var _e7 = document.querySelectorAll("img");
          if (_e7.length !== c.length) throw new Error("Number of img attachments has changed after replacing body HTML. This is not currently supported.");
          for (var _t5 = 0; _t5 < c.length; _t5++) {
            var _r3 = c[_t5];
            if (!_r3) continue;
            var _i3 = null === (o = null === (n = window.HTMLAttachmentElement) || void 0 === n ? void 0 : n.getAttachmentIdentifier) || void 0 === o ? void 0 : o.call(n, _e7[_t5]);
            if (!_i3) throw new Error("An identifier for an img attachment could not be generated after replacing body HTML.");
            a[_r3] = _i3;
          }
        }
        return JSON.stringify(a);
      },
      getSelectedHTML: function getSelectedHTML() {
        var e = window.getSelection();
        if (null === e || void 0 === e ? void 0 : e.rangeCount) {
          var _t6 = e.getRangeAt(0),
            _n2 = _t6.cloneContents(),
            _o3 = document.createElement("div");
          return _o3.appendChild(_n2), JSON.stringify({
            text: _o3.innerText,
            html: _o3.innerHTML
          });
        }
        return JSON.stringify({});
      },
      getMayUseDarkAppearance: function getMayUseDarkAppearance() {
        var _iterator = _createForOfIteratorHelper(document.images),
          _step;
        try {
          for (_iterator.s(); !(_step = _iterator.n()).done;) {
            var _e8 = _step.value;
            if ((_e8.width > 1 || _e8.height > 1) && _e8.src && _e8.src.startsWith("http") && (!_e8.className || !_e8.className.startsWith("lp-rich-link"))) return !1;
          }
        } catch (err) {
          _iterator.e(err);
        } finally {
          _iterator.f();
        }
        return !0;
      },
      wrapMailbutlerSignatureIfNeeded: function wrapMailbutlerSignatureIfNeeded() {
        var e = document.querySelectorAll("#MailbutlerSignature");
        if (0 === e.length) return;
        var t = e[0],
          n = t.parentNode;
        if (!n || n instanceof HTMLElement && "AppleMailSignature" === n.getAttribute("id")) return;
        var o = document.createElement("div");
        o.setAttribute("id", "AppleMailSignature"), o.appendChild(t.cloneNode(!0)), t.parentNode.replaceChild(o, t);
      }
    }
  });
  var c = function c(e, t, n) {
      var o = /^function\s*\((.*?)\)\s*{(.*?)}$/gm,
        r = n.toString(),
        i = o.exec(r);
      if (!i || 3 !== i.length) return console.warn("Unable to replace string in function, number of match groups !== 3."), n;
      var l = i[1];
      var c = i[2];
      return c.includes(e) ? (c = c.replaceAll(e, t), new Function(l, c)) : (console.warn("Unable to replace string in function, search string ".concat(e, " was not found.")), n);
    },
    a = function a(e) {
      var t = e ? new RegExp(e) : null,
        n = [];
      return document.querySelectorAll("a").forEach(function (e) {
        if (!s(e)) try {
          var _o4 = new URL(e.href),
            _r4 = ["http:", "https:", "ftp:"];
          !_r4.includes(_o4.protocol.toLowerCase()) || t && !t.test(_o4.href) || n.push(e);
        } catch (o) {
          console.warn("Skipping invalid URL ".concat(e.href, ", ").concat(o));
        }
      }), n;
    },
    s = function s(e) {
      var t = e.nodeName;
      return "blockquote" === t.toLowerCase() ? e : e.parentElement ? s(e.parentElement) : null;
    },
    d = function d(e) {
      var t = e instanceof HTMLElement ? e.id : null;
      return "MailbutlerSignature" === t ? e : e.parentElement ? d(e.parentElement) : null;
    };
  e();
})();

//# sourceMappingURL=compose-bridge.js.map